#
# spec file for package phpMyAdmin (Version 2.11.9.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions popt post-build-checks pwdutils pwgen rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           phpMyAdmin
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel pwgen
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Frontends
Requires:       mod_php_any php-mysql php-bz2 php-gd php-zlib php-iconv php-mcrypt php-session php5-mbstring
AutoReqProv:    on
Version:        2.11.9.6
Release:        0.1
Source0:        %{name}-%{version}-all-languages.tar.bz2
Source1:        phpmyadmin.conf
Patch1:         %{name}-2.11.0rc1-blowfish_secret.patch
Patch2:         %{name}-2.11.0rc1-mysqli.patch
Url:            http://www.phpMyAdmin.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Administration of MySQL over the web
PreReq:         pwgen
BuildArch:      noarch
%define serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs2 -q PREFIX)/htdocs/

%description
The phpMyAdmin is intended to handle the administration of mysql
(MySQL) over the web.

Currently it can: - create and drop databases

- create/drop/alter tables

- delete/edit/add fields

- execute any SQL statement

- manage keys on fields

- manage privileges

- export data into various formats

- speak in 43 languages



Authors:
--------
    Tobias Ratschiller <tobias.ratschiller@maguma.com>
    Marc Delisle <DelislMa@CollegeSherbrooke.qc.ca>
    Olivier Mller <om@omnis.ch>
    Loc Chapeaux <lolo@phpheaven.net>
    Robin Johnson <robbat2@users.sourceforge.net>
    Alexander M. Turek <derrabus@gmx.de>
    Michal &#268;iha&#345; <michal@cihar.com>
    Garvin Hicking <me@supergarv.de>

%debug_package
%prep
%setup -q -n %{name}-%{version}-all-languages
%patch1
%patch2
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
find . -type f -name '*.orig' -exec rm {} \;
rm lang/*.sh

%build

%install
install -m 755 -d $RPM_BUILD_ROOT%{serverroot}%{name}
cp -dR *.css *.php *.html pmd themes lang libraries js \
    $RPM_BUILD_ROOT%{serverroot}%{name}
touch $RPM_BUILD_ROOT%{serverroot}%{name}/config.inc.php
# generate file list
find $RPM_BUILD_ROOT%{serverroot}%{name} -mindepth 1 -maxdepth 1 -type d | sed -e "s@$RPM_BUILD_ROOT@@" > FILELIST
find $RPM_BUILD_ROOT%{serverroot}%{name} -maxdepth 1 -type f | grep -v 'config.inc.php' | sed -e "s@$RPM_BUILD_ROOT@@" >> FILELIST
install -m 644 -D $RPM_SOURCE_DIR/phpmyadmin.conf $RPM_BUILD_ROOT/etc/apache2/conf.d/phpmyadmin.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
# generate blowfish secret
blowfish_secret="%{serverroot}%{name}/libraries/blowfish_secret.inc.php"
if grep -q "\\\$cfg\['blowfish_secret'\] = ''" "$blowfish_secret" ; then
    echo "Generating blowfish secret for phpMyAdmin..."
    sed -i "s/\\\$cfg\['blowfish_secret'\] = ''/\$cfg['blowfish_secret'] = '`pwgen -s -1 46`'/"  "$blowfish_secret"
fi
# workaround for https://bugzilla.novell.com/show_bug.cgi?id=223725
# we (wrongly) moved the config to libraries/
if test -f %{serverroot}%{name}/libraries/config.inc.php -a ! \
	-f %{serverroot}%{name}/config.inc.php; then
	mv %{serverroot}%{name}/libraries/config.inc.php %{serverroot}%{name}/
fi

%files -f FILELIST
%defattr(-, root, root)
%doc CREDITS ChangeLog Documentation.* docs.css
%doc LICENSE README RELEASE-DATE* TODO translators.html
%doc scripts/*.sql
%dir %{serverroot}%{name}
%attr(0640, wwwrun, www) %verify(not md5 size mtime) %config(noreplace) %{serverroot}%{name}/libraries/blowfish_secret.inc.php
%config(noreplace) /etc/apache2/conf.d/phpmyadmin.conf
# we don't need to install config.inc.php, but we have to keep it
# in the filelist so that an update doesn't delete it
%ghost %{serverroot}%{name}/config.inc.php

%changelog
* Thu Oct 15 2009 - crrodriguez@suse.de
- Release 2.11.9.6 fixes phpMyAdmin XSS and SQL injection [bnc#547128]
* Tue Mar 31 2009 - crrodriguez@suse.de
- update to security fix only release 2.11.9.5
  * Fixes CVE-2009-1150, CVE-2009-1151 [bnc#490596]
* Fri Jan 16 2009 - crrodriguez@suse.de
- update to security-fix-only 2.11.9.4
  * VUL-0: phpMyAdmin SQL injection through XSRF [BNC#457889]
  * VUL-0: phpMyAdmin Credentials disclosure [BNC#375320]
  * VUL-0: phpMyAdmin: sql injection and CSRF [BNC#369063]
  * VUL-0: phpmyadmin information disclosure [BNC#383135]
  * VUL-0: phpMyAdmin code execution [BNC#426517]
  * VUL-0: phpMyAdmin XSS, CSRF [BNC#409459]
* Wed Dec 10 2008 - crrodriguez@suse.de
- fix CVE-2008-4326 [BNC#450796]
* Wed Sep 03 2008 - crrodriguez@suse.de
- update to version 2.11.9 fix
  * CVE-2008-3456
  * CVE-2008-3457
  * CVE-2008-3456
  * CVE-2008-1924
  * CVE-2008-1567
  * CVE-2008-1149
  * CVE-2008-2960
* Mon Apr 07 2008 - crrodriguez@suse.de
- pmd folder is missing in phpmyadmin 2.11.5.1 [bnc #376616]
* Thu Apr 03 2008 - crrodriguez@suse.de
- patch level update to 2.11.5.x fixes multiple vulnerabilities
  * Credentials disclosure [BNC #375320]
  * sql injection and CSRF [BNC #369063]
- phpMyAdmin tries to access non-existing print.css [BNC #307966]
* Fri Mar 07 2008 - crrodriguez@suse.de
- fix CVE-2007-6100 [BNC#344590]
* Wed Aug 22 2007 - crrodriguez@suse.de
- 2.11.0-rc1 -> 2.11.0 final
- mod_php_any is enough to get a webserver do not explicitly require apache2
- update phpmyadmin.conf adding the session save path to open_basedir as well
  ensuring some additional and possible conflicting php settings are set the way we want
* Mon Aug 06 2007 - anosek@suse.cz
- updated to version 2.11.0-rc1
* Mon Jul 30 2007 - anosek@suse.cz
- updated to version 2.11.0-beta1
  + [import] support handling of DELIMITER to mimic mysql CLI, thanks to fb1
  + improved PHP 6 compatibility
  - bug #1674914 [structure] changing definition of a TIMESTAMP field
  - bug #1615530 [upload] added more specific error message if field upload fails
  - bug #1627210, #1083301, #1482401 [data] warning on duplicate indexes
  - bug #1668724 JavaScript focus login Opera
  - bug #1666657 [auth] Cookie password delete on timeout / inactivity
  - bug #1648802 different mysql library and server version
  - bug #1662976 [auth] Authentication fails when controluser/pass is set
  - bug #1643758 [import] Error #1264 importing NULL values in MySQL 5.0
  - bug #1523747 [innodb] make warning about row count more visible
  - bug #1676012 [auth] strip non-US-ASCII characters (RFC2616)
  - bug #1679440 Added FAQ entry about header errors under IIS caused by
  an end-of-line character
  - [gui] avoid displaying a wide selector in server selection
  - bug #1614004 [relation] foreign key spanning multiple columns are
  incorrectly displayed
  - bug #1681598 [interface] Edit next row
  - bug #1688053 [export] Wrong export of binary character fields
  - bug #1498281 [parser] Wrong primary key used for displaying results
  with subquery
  - bug #1699772 Visual space bug in table name (in browser)
  - bug #1699532 Cause of data manipulation issues: implemented changes
  as suggested by crisp_; still have to work on updating an ENUM value
  + [doc] changed all documentation in config.inc.php to phpDocumentor style
  + [data] support for CREATE VIEW from query results
  + [gui] dropped css/ folder and moved into root of PMA
  + [l10n] new: Sinhala, Macedonian
  + [export] YAML export (see yaml.org), thanks to Bryce Thornton
  + [server] improved display of binary logs
  + [data] better error handling in tbl_create.php
  + [routines] from Patch #1649881, thanks to Mike Beck
  + [querywindow] store sql history in session
  + [querywindow] sql history now without db too
  + [querywindow] tweaks in sql history view
  + [export] Native Excel (Spreadsheet_Excel_Writer) improvements,
  thanks to Christian Schmidt
  + [doc] requirement of mcrypt on 64-bit, thanks to Isaac Bennetch
  + RFE #1435922 [gui] navigation frame shows listing of databases when none selected
  + [data] support BIT datatype (under mysqli), thanks to Christian Schmidt
  + [display] automatic confirmation for sort by key, thanks to Juergen Wind
  + [data] can now choose the number of insert rows
  + RFE #1704779 [gui] link documentation from login page
  + [structure] TRIGGERS: display/edit/drop/SQL export
  + [browse] store browse state in session per query
  + [gui] Insert/Edit: no longer display the Go button each 15 lines
  but just at the end of a row
  + [gui] Query window: use verbose server name if any
  + [auth] patch #1712514 specify host for single signon, thanks to Thierry
  + [gui] Navigator for the db list in the navigation panel
  + [gui] Navigator for the table list in the content panel
  - bug #1727138 HTML not encoded (more than 1000 characters)
  + [display] Support for MySQL 5.0.37 profiling
  + RFE #1743983 [gui] Replace $max_characters by a configurable param:
  $cfg['MaxCharactersInDisplayedSQL']
  - bug #1746186 LeftLogoLink fails if set to some external site
  . [transformations]: remove "auto-detect" MIME-type that was never implemented
  + [display] patch #1749705, Allow multibyte characters in number formatting,
  thanks to garas
  - bug #1747215 Export emits blanks at line ends
  - bug #1751172 Do not export data when exporting a single VIEW
  + [privileges] Support password hashing on the Edit Privileges interface
  - bug #1755339 Warn about rename dataase actually being copy/delete
  - bug #1746921 Left frame shrinks on db change, thanks to Juergen Wind
  + [gui] Export: Select All/Unselect All over the choices,
  thanks to Florian Schmitz
* Wed Jul 25 2007 - anosek@suse.cz
- updated to version 2.10.3
  - bug #1734285 Copy database with VIEWs
  - bug #1722502 DROP TABLE in export VIEW
  - bug #1729027 Sorting results of VIEW browsing
  - bug #1733012 Unwanted table alias in delete button
  - bug #1736405 Pretty printer and HTML line breaks
  - bug #1745257 Invalid DB name is still displayed
  - bug #1730367 Calendar "Go" has no effect
  - bug #1748633 Incorrect parameter validation for VIEWs
  + [lang] Russian revision, thanks to Victor Volkov and the users
  of php-myadmin.ru
  - Do not try to delete an internal relation if we just deleted
  an InnoDB one
* Tue Jun 19 2007 - anosek@suse.cz
- updated to version 2.10.2
  + [data] display all warnings, not only last one
  - typo in fix for bug #1671813
  - bug #1714908 Inserted Row Count is wrong
  - bug #1712570 Deleting last record freezes
  - bug #1717339 Missing header when deleting a checked column,
  thanks to Michael Keck
  - bug #1717477 Warning on Query page when db is empty
  - bug #1721002 db rename -> undefined cfgRelation,
  thanks to Jürgen Wind
  - bug #1721571 CREATE database privilege not always detected,
  thanks to Gordon McNaughton
  - bug #1715709 export in SQL format always includes procedures
  and functions
  - bug #1722502 DROP TABLE in export view structure
  - bug #1718787 Multi-server setup breaks Designer
  - bug #1724401 Column truncation in repair table output
  - patch #1726500 Wrong position of , thanks to Jürgen Wind
  - bug #1728590 Detected failing session_start fails,
  thanks to Jürgen Wind
  - RFE #1714760 Obey ShowCreateDb on the Databases tab
  - patch #1733762 Typo in message "INSERT DELAY",
  thanks to Victor Volkov
  - patch #1730171 Dead message strLanguageFileNotFound,
  thanks to Victor Volkov
  - patch #1731280 Avoid negative exponent in gmp_pow(),
  thanks to anosek
* Tue Jun 12 2007 - anosek@suse.cz
- updated to version 2.10.2-rc1
  + [data] display all warnings, not only last one
  - typo in fix for bug #1671813
  - bug #1714908 Inserted Row Count is wrong
  - bug #1712570 Deleting last record freezes
  - bug #1717339 Missing header when deleting a checked column,
  thanks to Michael Keck
  - bug #1717477 Warning on Query page when db is empty
  - bug #1721002 db rename -> undefined cfgRelation, thanks to Jürgen Wind
  - bug #1721571 CREATE database privilege not always detected,
  thanks to Gordon McNaughton
  - bug #1715709 export in SQL format always includes procedures and functions
  - bug #1722502 DROP TABLE in export view structure
  - bug #1718787 Multi-server setup breaks Designer
  - bug #1724401 Column truncation in repair table output
  - patch #1726500 Wrong position of </tbody>, thanks to Jürgen Wind
  - bug #1728590 Detected failing session_start fails, thanks to Jürgen Wind
  - RFE #1714760 Obey ShowCreateDb on the Databases tab
* Tue Jun 05 2007 - anosek@suse.cz
- fixed warning: gmp_pow(): Negative exponent not supported in
  common.lib.php [#271746] (gmp_pow.patch)
* Tue Apr 24 2007 - anosek@suse.cz
- updated to version 2.10.1
  * bugfix release
* Tue Mar 06 2007 - anosek@suse.cz
- updated to version 2.10.0.2
  * default value for $cfg['Servers'][$i]['ssl'] changed to false
  * fixes PHP Executor Deep Recursion Stack Overflow [#251757]
* Wed Feb 28 2007 - anosek@suse.cz
- updated to version 2.10.0
  * Designer: new graphical relation manager
  * Improved speed on servers with thousands of databases/tables
  * Vertical field editor (optional)
  * Option to avoid counting rows for views
  * Calendar on search page
  * DOS-style end-of-lines in setup-generated files
* Wed Jan 17 2007 - anosek@suse.cz
- updated to version 2.9.2
  * improved support for web clusters
  * deleting a user under MySQL 4.1.x
  * DELIMITER in export no longer commented out
  * export of query results and procedure definitions
  * detection of a binary column
  * problem on 64-bit systems
  * granting all privileges on a wildcard name
  * verification on encrypted zip files
  * security fixes
* Fri Dec 01 2006 - mmarek@suse.cz
- fix previous update which wrongly moved the config.inc.php
  file to the libraries subdirectory [#223721]
* Thu Nov 23 2006 - anosek@suse.cz
- security update to version 2.9.1.1 [#222594] [#222622]
* Wed Nov 08 2006 - anosek@suse.cz
- added suggestions from [#216213]
  * phpMyAdmin now uses mysqli extension not mysql (mysqli.patch)
  * added Required: php5-mbstring
  * phpMyAdmin now uses open_basedir for increased security
* Tue Oct 17 2006 - postadal@suse.cz
- updated to 2.9.0.2
  * Improved readability of setup panels
  * PDF schema: automatic layout for InnoDB
  * Font size selector on main page
  * Export: support for procedures and functions
  * Can hide "Create Database" dialog
  * Customizable link under left logo
  * Export: "Open Document Text", "Open Document spreadsheet" formats
  * Export: new plugin architecture
  * User management: can create a db with the same name as created user
  * Use IEC binary units (KiB, MiB, ...)
  * Import: SQL compatibility selector
  * Possibility of using external authentication and use an empty MySQL password
  * Display MySQL warnings
  * Links to language-specific MySQL doc whenever possible
  * Security fixes
* Thu Sep 21 2006 - anosek@suse.cz
- updated to 2.9.0
  * Improved readability of setup panels
  * PDF schema: automatic layout for InnoDB
  * Font size selector on main page
  * Export: support for procedures and functions
  * Can hide "Create Database" dialog
  * Customizable link under left logo
  * Export: "Open Document Text", "Open Document spreadsheet"
  formats
  * Export: new plugin architecture
  * User management: can create a db with the same name as created
  user
  * Use IEC binary units (KiB, MiB, ...)
  * Import: SQL compatibility selector
  * Possibility of using external authentication and use an empty
  MySQL password
  * Display MySQL warnings
  * Links to language-specific MySQL doc whenever possible
* Wed Aug 23 2006 - anosek@suse.cz
- updated to 2.8.2.4
  * fixed cookie login on IIS with IE6
  * fixed switching from scripts/setup.php to the main script
  in case of register_globals enabled
* Tue Aug 15 2006 - anosek@suse.cz
- update to 2.8.2.2
  * fixed config not loaded on install (MySQL error code 2002
  or 2003)
* Thu Aug 03 2006 - mskibbe@suse.de
- update to 2.8.2.1
  * XSS vulnerability from requests not containing a token
  * reenabled XML option in Export
  * added a user with password containing a backslash
  * setup script: compatibility with security tokens
  * setup script: detection of writable config
  * reading the database list with MySQL wildcards
* Thu Jun 01 2006 - postadal@suse.cz
- updated to 2.8.1 (bugfix-only release) [#177091]
  * fixes some XSS vulnerabilities
- removed obsoleted patches (2006-1804.patch, 2006-2031.patch)
* Tue May 02 2006 - mmarek@suse.cz
- fixed XSS in error messages
  [#170529] (CVE-2006-2031.patch)
* Thu Apr 20 2006 - mmarek@suse.cz
- fixed XSS in sql.php (and other scripts): add a secret token to
  each link and form to prevent linking to sql.php from outside
  [#165772] (CVE-2006-1804)
* Thu Apr 13 2006 - mmarek@suse.cz
- updated to 2.8.0.3
  * fixes some XSS vulnerabilities
  * improves php-5.1.2 compatibility
  [#165772]
- moved $cfg['blowfish_secret'] to separate file, so that config.inc.php
  isn't edited during install
  (blowfish_secret.patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - postadal@suse.cz
- added php-session to Requires [#137368]
* Thu Jan 05 2006 - postadal@suse.cz
- update to version 2.7.0-pl2 (security fixes)
  [#136015, 137368, 137797]
- removed all patches
* Tue Nov 22 2005 - postadal@suse.cz
- fixed XSS on HTTP_HOST (HTTP_HOST.patch) [#133818]
* Mon Nov 21 2005 - postadal@suse.cz
- update to version 2.6.4-pl4
  * fixes PMASA-2005-6 [#133818] (PMASA-2005-6.patch)
- removed obsoleted patches: CVE-2005-2869.patch, PMASA-2005-4_and_5.patch,
  lang-utf8-fix.patch
* Mon Nov 14 2005 - postadal@suse.cz
- fixed CVE-2005-2869 (XSS on the cookie-based login panel)
  [#130226] (CVE-2005-2869.patch)
* Tue Nov 01 2005 - postadal@suse.cz
- fixed PMASA-2005-4 and PMASA-2005-5 [#130226] (PMASA-2005-4_and_5.patch)
* Tue Aug 23 2005 - postadal@suse.cz
- disabled auto-switch the lang to its UTF-8 version when Lang is set
  [#104600]
* Thu Jul 28 2005 - postadal@suse.cz
- update to 2.6.3-pl1
* Mon Jun 06 2005 - cthiel@suse.de
- update to 2.6.2-pl1
* Tue Mar 08 2005 - mcihar@suse.cz
- generate shorter key to make it work with mcrypt, see
  https://sourceforge.net/tracker/index.php?func=detail&aid=1115327&group_id=23067&atid=377408
* Fri Mar 04 2005 - mcihar@suse.cz
- update to pl3, it includes previous fix and fixes editing fields with special names (bug #70864)
* Thu Mar 03 2005 - mcihar@suse.cz
- fix bad setting of privileges (bug #67276)
* Tue Mar 01 2005 - mcihar@suse.cz
- depend on mod_php_any
* Thu Feb 24 2005 - mcihar@suse.cz
- update to 2.6.1-p2 to fix several vulnerabilities (bug #66264)
* Wed Feb 09 2005 - mcihar@suse.cz
- depend on unversioned php modules, to allow both php4 and php5 installation
* Mon Jan 24 2005 - mcihar@suse.cz
- update to 2.6.1
- require php4-mcrypt for faster cookie encryption
* Wed Oct 13 2004 - mcihar@suse.cz
- update to 2.6.0-pl2 (bug #47160)
- require php4-iconv as it seems to be on all arches now (bug #36642)
* Tue Oct 05 2004 - mcihar@suse.cz
- drop php4-recode dependency (bug #46817)
* Mon Sep 06 2004 - mcihar@suse.cz
- update to 2.6.0-rc2
* Fri Sep 03 2004 - mcihar@suse.cz
- update to 2.6.0-rc1
- use pwgen for secret generating
- don't ship scripts, as they're not needed for most users
* Tue Apr 27 2004 - ro@suse.de
- build using apache2
* Wed Mar 31 2004 - mcihar@suse.cz
- require php4-recode for charset conversion (better solution for bugs
  [#36642] and #36560)
* Mon Mar 22 2004 - mcihar@suse.cz
- dropped php-4iconv dependency at all (bug #36642)
* Fri Mar 19 2004 - mcihar@suse.cz
- do not require php4-iconv on achitectures where it isn't built (bug #36560)
* Mon Mar 08 2004 - mcihar@suse.cz
- require all needed php modules
* Mon Mar 01 2004 - mcihar@suse.cz
- update to 2.5.6
* Mon Jan 05 2004 - mcihar@suse.cz
- updated to 2.5.5-pl1
* Mon Oct 20 2003 - mcihar@suse.cz
- updated to 2.5.4
* Thu Oct 16 2003 - mcihar@suse.cz
- do not build as root
- little spec file cleanup
* Tue Sep 09 2003 - mcihar@suse.cz
- automatically generate blowfish_secret on rpm installation
- mark config file as %%config(noreplace) (this in conjuction with
  previous means that it will be never replaced on upgrade, this is
  okay as phpMyAdmin supports loading of old config files)
* Mon Sep 08 2003 - mcihar@suse.cz
- updated to 2.5.3:
    - many bugs fixed
        - messages about missing variables were displayed wrongly
        - more export bugs
        - confirmation of some dangerous SQL (TRUNCATE,DROP DATABASE)
    - new nice icons for actions
* Thu Sep 04 2003 - mcihar@suse.cz
- include documentation stylesheet
* Fri Aug 29 2003 - mcihar@suse.cz
- depend on mod_php rather that http_daemon as this needs php
* Thu Aug 28 2003 - mcihar@suse.cz
- include stylesheets
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to 2.5.2-pl1
* Mon Mar 24 2003 - postadal@suse.cz
- removed mysql from Requires, becouse can access to MySQL remotely [#25797]
* Mon Feb 24 2003 - postadal@suse.cz
- updated to verison 2.4.0
  * new server/user management interface with sub-pages
  * export to LaTeX format
  * display UPDATE SQL statement after a row edit
  * (experimental) support for compressed connections to the MySQL server
  * upload of binary file into a field
  * show blob size
  * a lot of fixes
* Wed Jan 29 2003 - postadal@suse.cz
- updated to version 2.3.3pl1
  * upload of compressed dumps
  * inform the user who does not have privileges to create a db
  * new internal analyzer for db, table, column and alias
  * a lot of fixes
* Mon Aug 12 2002 - postadal@suse.cz 
- update to release 2.3.0
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Thu Aug 01 2002 - postadal@suse.cz
- fixed required perl path
* Wed Jul 31 2002 - postadal@suse.cz
- fixed filelist
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 2.3.0-rc4
  * can specify a different charset for MySQL and HTML
  * utf-8 charset support
  * full database search
  * XML export
  * faster table delete under MySQL 4
  * new language: slovenian
  * fixes
* Mon Jul 01 2002 - ro@suse.de
- fixed directory permissions
* Thu Jan 10 2002 - rvasice@suse.cz
- update to version 2.2.3
* Tue Sep 04 2001 - rvasice@suse.cz
- update to version 2.2.0 final
  - dynamic multiple language support, with automatic detection
  - database usage statistics
  - table maintenance features (repair, check, optimize)
- made package noarch
* Thu Aug 02 2001 - rvasice@suse.cz
- update to version 2.2.0rc3
* Mon Jun 18 2001 - rvasice@suse.cz
- initial package release (version 2.1.0)
